'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2006
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Imports System
Imports System.Configuration
Imports System.Data

Imports DotNetNuke.UI.Utilities

Namespace DotNetNuke.Modules.Reports

    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' Manages the reports Client API Calls
    ''' </summary>
    ''' <remarks>
    ''' </remarks>
    ''' <history>
    ''' 	[anurse]	08/24/2006	Created
    ''' </history>
    ''' -----------------------------------------------------------------------------
    Public Class ReportsClientAPI

        Public Const ReportsScript As String = "~/DesktopModules/Reports/js/dnn.reports.js"

        Public Shared Sub Import(ByVal page As Page)
            ClientAPI.RegisterClientReference(page, UI.Utilities.ClientAPI.ClientNamespaceReferences.dnn)
            ClientAPI.RegisterClientReference(page, UI.Utilities.ClientAPI.ClientNamespaceReferences.dnn_dom)


            If Not ClientAPI.IsClientScriptBlockRegistered(page, "dnn.reports.js") Then
                Dim strScript As String = "<script src=""" & DotNetNuke.Common.Globals.ResolveUrl(ReportsScript) & """></script>"
                ClientAPI.RegisterClientScriptBlock(page, "dnn.reports.js", strScript)
            End If
        End Sub

        Public Shared Sub ShowHideByCheckBox(ByVal checkBox As IAttributeAccessor, ByVal target As Control)
            Dim chkControl As Control = TryCast(checkBox, Control)
            If chkControl Is Nothing Then Throw New ArgumentException("checkBox Parameter must be derived from Control", "checkBox")

            ApplyScript(checkBox, "onclick", String.Format("dnn.reports.showHideByCheckbox('{0}', '{1}')", _
                chkControl.ClientID, target.ClientID))
        End Sub

        Public Shared Sub RegisterBarColorModeSwitching(ByVal radOneColor As RadioButton, ByVal radColorPerBar As RadioButton, ByVal rowOneColor As HtmlTableRow, ByVal rowColorPerBar As HtmlTableRow)
            Dim updateScript As String = String.Format("dnn.reports.updateBarColorMode('{0}', '{1}', '{2}', '{3}');", radOneColor.ClientID, _
                radColorPerBar.ClientID, rowOneColor.ClientID, rowColorPerBar.ClientID)
            ApplyScript(radOneColor, "onclick", updateScript)
            ApplyScript(radColorPerBar, "onclick", updateScript)
        End Sub

        Public Shared Sub RegisterColorPreview(ByVal txtColor As Control, ByVal colorPreview As Control)
            ApplyScript(txtColor, "onchange", String.Format("dnn.reports.updateColorPreview('{0}', '{1}')", txtColor.ClientID, colorPreview.ClientID))
        End Sub

        Public Shared Sub RegisterReportingServicesModeUpdate(ByVal radLocal As RadioButton, ByVal radServer As RadioButton, ByVal rowFile As Control, _
        ByVal rowDataSource As Control, ByVal rowServerUrl As Control, ByVal rowServerReportPath As Control)

            Dim sScript As String = String.Format("dnn.reports.updateRSMode('{0}', '{1}', '{2}', '{3}', '{4}', '{5}')", radLocal.ClientID, _
                radServer.ClientID, rowFile.ClientID, rowDataSource.ClientID, rowServerUrl.ClientID, rowServerReportPath.ClientID)
            ApplyScript(radLocal, "onclick", sScript)
            ApplyScript(radServer, "onclick", sScript)
        End Sub

        Public Shared Sub ApplyScript(ByVal control As IAttributeAccessor, ByVal attr As String, ByVal script As String)
            Dim sCurValue As String = control.GetAttribute(attr)
            Dim sNewValue As String = String.Empty
            If Not String.IsNullOrEmpty(sCurValue) Then
                If Not sCurValue.EndsWith(";") Then
                    sNewValue = String.Format("{0}; {1}", sCurValue, script)
                Else
                    sNewValue = String.Concat(sCurValue, script)
                End If
            Else
                sNewValue = script
            End If
            control.SetAttribute(attr, sNewValue)
        End Sub

    End Class

End Namespace
