<%@ Control Language="vb" AutoEventWireup="false" CodeFile="Settings.ascx.vb" Inherits="DotNetNuke.Modules.Reports.Settings" %>
<%@ Register Src="../../controls/sectionheadcontrol.ascx" TagName="sectionheadcontrol"
    TagPrefix="dnn" %>
<%@ Register Src="../../controls/texteditor.ascx" TagName="texteditor" TagPrefix="dnn" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<dnn:sectionheadcontrol ID="dshDataSource" runat="server" ResourceKey="DataSource.Section"
    Section="DataSourceSection" CssClass="Head" IncludeRule="true" IsExpanded="true" />
<div id="DataSourceSection" runat="Server">
    <asp:MultiView ID="ReportsSettingsMultiView" runat="server">
        <asp:View ID="AccessDeniedView" runat="server">
            <div style="text-align: center; width: 100%">
                <asp:Image ID="ErrorImage" runat="server" ImageUrl="~/images/red-error.gif" />
                <asp:Label ID="ErrorMessage" runat="server" ResourceKey="SuperUsersOnly" CssClass="NormalRed" />
            </div>
        </asp:View>
        <asp:View ID="SuperUserView" runat="server">
            <table id="tblDataSource" runat="server" cellspacing="0" cellpadding="2" border="0"
                summary="Report Data Source Settings Design Table" style="width: 100%">
                <tr>
                    <td colspan="2">
                        <div style="text-align: center; width: 100%; padding: 2px 0px 2px 0px">
                            <div style="float: left; height: 100%">
                                <asp:Image ID="WarningImage" runat="server" ImageUrl="~/images/yellow-warning.gif" />
                            </div>
                            <asp:Label ID="WarningMessage" runat="server" ResourceKey="WarningMessage" CssClass="NormalRed" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" style="width: 132px; vertical-align: top">
                        <dnn:Label ID="lblTitle" runat="server" ControlName="txtTitle" Suffix=":"></dnn:Label>
                    </td>
                    <td style="width: 300px; vertical-align: top">
                        <asp:TextBox ID="txtTitle" CssClass="NormalTextBox" Width="100%" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" style="width: 132px; vertical-align: top">
                        <dnn:Label ID="lblDescription" runat="server" ControlName="teDescription" Suffix=":">
                        </dnn:Label>
                    </td>
                    <td style="vertical-align: top">
                        <asp:TextBox ID="txtDescription" CssClass="NormalTextBox" runat="server" Width="100%"
                            TextMode="MultiLine" Rows="5" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" style="width: 132px; vertical-align: top">
                        <dnn:Label ID="lblQueryUpload" runat="server" ControlName="fileQuery" Suffix=":"></dnn:Label>
                    </td>
                    <td style="width: 300px; vertical-align: top">
                        <asp:FileUpload ID="fileQuery" CssClass="NormalTextBox" Width="100%" runat="server" />
                        <asp:LinkButton ID="btnUpload" CssClass="CommandButton" resourcekey="btnUpload" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" style="width: 132px; vertical-align: top">
                        <dnn:Label ID="lblQuery" runat="server" ControlName="txtQuery" Suffix=":"></dnn:Label>
                    </td>
                    <td style="width: 300px; vertical-align: top">
                        <asp:TextBox ID="txtQuery" CssClass="NormalTextBox" Width="100%" runat="server" TextMode="MultiLine"
                            Rows="10" />
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                    <td style="text-align: right">
                        <asp:LinkButton ID="btnTestQuery" CssClass="CommandButton" runat="server" ResourceKey="btnTestQuery"></asp:LinkButton>
                        <asp:LinkButton ID="btnShowXml" CssClass="CommandButton" runat="server" ResourceKey="btnShowXml"></asp:LinkButton>
                    </td>
                </tr>
                <tr runat="server" id="rowResults" visible="false">
                    <td style="text-align: center" colspan="2">
                        <div style="float: left; height: 100%">
                            <asp:Image ID="imgQueryResults" runat="server" />
                        </div>
                        <asp:Label ID="lblQueryResults" runat="server"></asp:Label>
                        <br />
                        <asp:LinkButton ID="btnHideTestResults" runat="server" CssClass="CommandButton" ResourceKey="btnHideTestResults"></asp:LinkButton>
                    </td>
                </tr>
                <tr runat="server" id="rowXmlSource" visible="false">
                    <td style="text-align: left" colspan="2" class="SubHead">
                        <dnn:Label ID="lblXmlSource" runat="server" ControlName="txtXmlSource" Suffix=":" />
                        <asp:TextBox ID="txtXmlSource" runat="server" ReadOnly="true" CssClass="NormalTextBox"
                            TextMode="MultiLine" Rows="7" Width="100%" />
                        <br />
                        <div style="text-align: center">
                            <asp:LinkButton ID="btnHideXmlSource" runat="server" CssClass="CommandButton" ResourceKey="btnHideXmlSource"></asp:LinkButton>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" style="width: 132px; vertical-align: top">
                        <dnn:Label ID="lblCacheDuration" runat="server" ControlName="txtCacheDuration" Suffix=":">
                        </dnn:Label>
                    </td>
                    <td style="width: 300px; vertical-align: top">
                        <asp:CheckBox ID="chkCaching" CssClass="NormalTextBox" runat="server" />
                        <span id="spanCacheDuration" runat="server" class="Normal">
                            <asp:Label runat="server" resourcekey="CacheFor.Text" />
                            <asp:TextBox ID="txtCacheDuration" CssClass="NormalTextBox" Columns="5" runat="server" />
                            <asp:Label runat="server" resourcekey="Minutes.Text" />
                        </span>
                    </td>
                </tr>
            </table>
        </asp:View>
    </asp:MultiView>
</div>
<dnn:sectionheadcontrol ID="dshVisualizerSettings" runat="server" ResourceKey="Display.Section"
    Section="VisualizerSettingsOuter" CssClass="Head" IncludeRule="true" IsExpanded="true" />
<div id="VisualizerSettingsOuter" runat="server">
    <div class="SubHead" style="padding-bottom: 10px">
        <dnn:Label ID="lblVisualizer" runat="server" ControlName="VisualizerDropDown" Suffix=":">
        </dnn:Label>
    </div>
    <asp:DropDownList ID="VisualizerDropDown" runat="server" AutoPostBack="true" CssClass="Normal"
        Width="100%">
    </asp:DropDownList>
    <div style="padding-top: 10px">
        <asp:MultiView ID="VisualizerSettings" runat="server">
            <asp:View ID="VisualizerNotConfiguredView" runat="server">
                <div style="text-align: center; width: 100%">
                    <asp:Image ID="VisualizerNotConfiguredImage" runat="server" ImageUrl="~/images/yellow-warning.gif" />
                    <asp:Label ID="VisualizerNotConfiguredLabel" runat="server" ResourceKey="VisualizerNotConfigured"
                        CssClass="NormalRed" />
                </div>
            </asp:View>
        </asp:MultiView>
    </div>
</div>
