'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2006
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'
Imports DotNetNuke

Imports System.IO
Imports System.Web.UI
Imports System.Collections.Generic
Imports System.Reflection

Imports UISkin = DotNetNuke.UI.Skins.Skin

Namespace DotNetNuke.Modules.Reports

  ''' -----------------------------------------------------------------------------
  ''' <summary>
    ''' The ViewReports class displays the content
  ''' </summary>
  ''' <remarks>
  ''' </remarks>
  ''' <history>
  ''' </history>
  ''' -----------------------------------------------------------------------------
  Partial Class ViewReports
    Inherits Entities.Modules.PortalModuleBase

        Private Function LoadRenderer() As VisualizerControlBase
            Dim sRendererFolder As String = Convert.ToString(Settings.Item(ReportsController.SETTING_Renderer))
            If String.IsNullOrEmpty(sRendererFolder) Then
                sRendererFolder = "Grid"
            End If

            Dim sRendererControl As String = Me.ResolveUrl(String.Format("Visualizers/{0}/Visualizer.ascx", sRendererFolder))
            If Not File.Exists(Server.MapPath(sRendererControl)) Then Return Nothing

            Dim ctlRenderer As VisualizerControlBase = TryCast(Me.LoadControl(sRendererControl), VisualizerControlBase)
            If ctlRenderer IsNot Nothing Then
                ctlRenderer.ID = "Visualizer"
                ctlRenderer.ParentModule = Me
            End If
            Return ctlRenderer
        End Function

        Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
            Me.Controls.Clear()
            Me.Controls.Add(LoadRenderer())
        End Sub
    End Class

End Namespace
