﻿if (typeof(__dnn_m_aNamespaces) == 'undefined')	//include in each DNN ClientAPI namespace file for dependency loading
	var __dnn_m_aNamespaces = new Array();

function dnn_reports() {
	this.pns = 'dnn';
	this.ns = 'reports';
	this.dependencies = 'dnn,dnn.dom'.split(',');
	this.isLoaded = false;	
}

dnn_reports.prototype.dependenciesLoaded = function()
{
	return (typeof(dnn) != 'undefined' && typeof(dnn.dom) != 'undefined');
}

dnn_reports.prototype.loadNamespace = function ()
{
	if (this.isLoaded == false)
	{		
		if (this.dependenciesLoaded())
		{
			dnn.reports = this; 
			this.isLoaded = true;
			dnn.loadDependencies(this.pns, this.ns);
		}
	}	
}

dnn_reports.prototype.showHideByCheckbox = function (checkbox, target) {
    var chkObj = dnn.dom.getById(checkbox);
    var targetObj = dnn.dom.getById(target);
    if((chkObj != null) && (targetObj != null)) {
        if(chkObj.checked)
            targetObj.style.display = '';
        else
            targetObj.style.display = 'none';
    }
}

dnn_reports.prototype.updateBarColorMode = function(radioOneColor, radioColorPerBar, rowOneColor, rowColorPerBar) {
    if(dnn.dom.getById(radioOneColor).checked) {
        dnn.reports.hide(rowColorPerBar);
        dnn.reports.show(rowOneColor);
    } else if(dnn.dom.getById(radioColorPerBar).checked) {
        dnn.reports.hide(rowOneColor);
        dnn.reports.show(rowColorPerBar);
    }
}

dnn_reports.prototype.hide = function(hideId) {
    var hideObj = dnn.dom.getById(hideId);
    hideObj.style.display = 'none';
}

dnn_reports.prototype.show = function(showId) {
    var showObj = dnn.dom.getById(showId);
    showObj.style.display = '';
}

dnn_reports.prototype.updateRSMode = function(localRadio, serverRadio, localFileRow, localDSRow, serverUrlRow, serverPathRow) {
    if(dnn.dom.getById(localRadio).checked) {
        dnn.reports.show(localFileRow);
        dnn.reports.show(localDSRow);
        dnn.reports.hide(serverUrlRow);
        dnn.reports.hide(serverPathRow);
    } else if(dnn.dom.getById(serverRadio).checked) {
        dnn.reports.hide(localFileRow);
        dnn.reports.hide(localDSRow);
        dnn.reports.show(serverUrlRow);
        dnn.reports.show(serverPathRow);
    }
}

dnn_reports.prototype.updateColorPreview = function(colorText, colorPreview) {
    var colorTextObj = document.getElementById(colorText);
	var colorPreviewObj = document.getElementById(colorPreview);
	var hcv = colorTextObj.value
	
	if (hcv.length > 0 && hcv.charAt(0) != '#') {
		hcv = '#' + hcv;
	}
	if (hcv.length != 4 && hcv.length !=7) {
		hcv = '#000';
	}
	var i;
	for (i = 1; i < hcv.length; i++) {
		if ('0123456789abcdefABCDEF'.indexOf(hcv.charAt(i)) == -1) {
			hcv = '#000';
			break;
		}
	}
	
	colorPreviewObj.style.background = hcv;
}

__dnn_m_aNamespaces[__dnn_m_aNamespaces.length] = new dnn_reports();
for (var i=__dnn_m_aNamespaces.length-1; i>=0; i--)
	__dnn_m_aNamespaces[i].loadNamespace();
